## performous 0.6.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
-project(Performous CXX)
+project(Performous CXX C)
 cmake_minimum_required(VERSION 2.6)
 cmake_policy(VERSION 2.6)
-set(PROJECT_VERSION "0.5.1")
+set(PROJECT_VERSION "0.6.1")
 
 # Avoid source tree pollution
 if(CMAKE_SOURCE_DIR STREQUAL CMAKE_BINARY_DIR)
@@ -28,21 +28,16 @@
 
 mark_as_advanced(SHARE_INSTALL)
 
-# Need to find the headers even if they haven't been installed yet:
-include_directories(libs/plugin++/include)
-include_directories(libs/libda/include)
-
 #need to put here do setting LOCALE_DIR variable
 find_package(Gettext)
 if(Gettext_FOUND)
 	if(NOT LOCALE_DIR)
 		if(WIN32)
-			SET(LOCALE_DIR "locale")
-			SET(LOCALE_DIR_WIN32_PREFIX "bin/")
+			SET(LOCALE_DIR "bin/locale")
 		elseif(APPLE)
 			SET(LOCALE_DIR "share/locale")
 		else()#other os
-			SET(LOCALE_DIR "/usr/share/locale")
+			SET(LOCALE_DIR "share/locale")
 		endif(WIN32)
 	endif(NOT LOCALE_DIR)
 	
@@ -58,19 +53,10 @@
 		endif()
 	endif(NOT LOCALE_DIR)
 endif(Gettext_FOUND)
-add_subdirectory(libs)
 add_subdirectory(themes)
 add_subdirectory(data)
 add_subdirectory(game)
 add_subdirectory(docs)
-
-set(LIB_SUFFIX "" CACHE STRING "Optional suffix to use on lib folders (e.g. 64 for lib64)")
-
-option(ENABLE_EDITOR "Enable experimental song editor (doesn't work)" OFF)
-
-if (ENABLE_EDITOR)
-  add_subdirectory(editor)
-endif (ENABLE_EDITOR)
 
 option(ENABLE_TOOLS "Enable extra tools (e.g. Singstar ripper)" ON)
 
@@ -80,4 +66,5 @@
 
 if(WIN32)
 	option(ENABLE_VERSIONING "Add number version information. This allows to add version information to exe. Be carefull, in beta (and a lot useless)" OFF)
+	install(FILES win32/ConfigureSongDirectory.bat DESTINATION bin)
 endif(WIN32)
