=== data/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,7 @@
 set(APPLICATION_FILE "performous.desktop")
 set(PIXMAP_FILE      "performous.xpm")
 set(CONFIG_FILE      "schema.xml")
+set(CONTROLLERS_FILE "controllers.xml")
 
 if(UNIX)
 	install(FILES ${APPLICATION_FILE} DESTINATION "share/applications/")
@@ -8,6 +9,7 @@
 endif(UNIX)
 
 install(FILES ${CONFIG_FILE} DESTINATION "${SHARE_INSTALL}/config/")
+install(FILES ${CONTROLLERS_FILE} DESTINATION "${SHARE_INSTALL}/config/")
 
 file(GLOB XSL_FILES "*.xsl")
 install(FILES ${XSL_FILES} DESTINATION "${SHARE_INSTALL}/xsl/")
