=== game/CMakeLists.txt ===
--- 
+++ 
@@ -70,16 +70,8 @@
 include_directories(${Boost_INCLUDE_DIRS})
 list(APPEND LIBS ${Boost_LIBRARIES})
 
-# Libraries are part of Performous build process (for now)
-set(SLAVE_LIBS TRUE)
-if(SLAVE_LIBS)
-	list(APPEND LIBS da plugin++)
-else()
-	set(OUR_LIBS Plugin++ LibDA)
-endif()
-
 # Find all the libs that don't require extra parameters
-foreach(lib ${OUR_LIBS} SDL PangoCairo LibRSVG LibXML++ GLEW AVFormat SWScale OpenGL Z Jpeg Png)
+foreach(lib ${OUR_LIBS} SDL PangoCairo LibRSVG LibXML++ GLEW AVFormat SWScale OpenGL Z Jpeg Png PortAudio)
 	find_package(${lib} REQUIRED)
 	include_directories(${${lib}_INCLUDE_DIRS})
 	list(APPEND LIBS ${${lib}_LIBRARIES})
@@ -96,26 +88,54 @@
 	message(STATUS "Internationalization: Disabled (libintl not found)")
 endif()
 
-find_package(PortMidi)
-if(PortMidi_FOUND)
-	include_directories(${PortMidi_INCLUDE_DIRS})
-	list(APPEND LIBS ${PortMidi_LIBRARIES})
-	add_definitions("-DUSE_PORTMIDI")
-	message(STATUS "MIDI I/O: Enabled")
+if(NOT NO_PORTMIDI)
+	find_package(PortMidi)
+	if(PortMidi_FOUND)
+		include_directories(${PortMidi_INCLUDE_DIRS})
+		list(APPEND LIBS ${PortMidi_LIBRARIES})
+		add_definitions("-DUSE_PORTMIDI")
+		message(STATUS "MIDI I/O: Enabled")
+	else()
+		message(STATUS "MIDI I/O: Disabled (libportmidi not found)")
+	endif()
 else()
-	message(STATUS "MIDI I/O: Disabled (libportmidi not found)")
+	message(STATUS "MIDI I/O: Disabled (explicitly disabled)")
 endif()
+
+if(NOT NO_WEBCAM)
+	find_package(OpenCV)
+	if(OpenCV_FOUND)
+		include_directories(${OpenCV_INCLUDE_DIRS})
+		list(APPEND LIBS ${OpenCV_LIBRARIES})
+		add_definitions("-DUSE_OPENCV")
+		message(STATUS "Webcam support: Enabled")
+	else()
+		message(STATUS "Webcam support: Disabled (libcv/libhighgui not found)")
+	endif()
+else()
+	message(STATUS "Webcam support: Disabled (explicitly disabled)")
+endif()
+
 
 # Set default compile flags for GCC
 if(CMAKE_COMPILER_IS_GNUCXX)
 	message(STATUS "GCC detected, adding compile flags")
 	# -pedantic cannot be used because ffmpeg headers are b0rked
-	set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -pthread -std=c++98 -Wall -Wextra -Wno-missing-field-initializers")
+	set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra -Wno-missing-field-initializers")
+	# -pthread is unrecognized on Windows and ansi standard causes errors
+	if(NOT WIN32)
+		set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++98 -pthread")
+	endif(NOT WIN32)
 	# Needed for ffmpeg.cc to compile cleanly on OSX (it's a (unsigned long) long story)
 	add_definitions("-D__STDC_CONSTANT_MACROS")
 endif(CMAKE_COMPILER_IS_GNUCXX)
 
-add_executable(performous ${SOURCES} ${SDL_SOURCES} ${RESOURCE_OBJECT})
+if(MSVC)
+	set(SUBSYSTEM_WIN32 WIN32)
+	add_executable(performous-cmd "windows-cmd.cpp")
+	install(TARGETS performous-cmd DESTINATION bin)
+endif(MSVC)
+add_executable(performous ${SUBSYSTEM_WIN32} ${SOURCES} ${SDL_SOURCES} ${RESOURCE_OBJECT})
 target_link_libraries(performous ${LIBS})
 
 # Store library paths in executable
