=== tools/CMakeLists.txt ===
--- 
+++ 
@@ -24,9 +24,13 @@
 if (LibXML++_FOUND)
 	if (Boost_FOUND)
 		if (Magick++_FOUND)
-			add_executable(ss_extract ss_extract.cpp pak.cpp ipu_conv.cpp ss_cover.cpp)
-			target_link_libraries(ss_extract ${LibXML++_LIBRARIES} ${Boost_LIBRARIES} ${Magick++_LIBRARIES} ${Z_LIBRARIES} ${Jpeg_LIBRARIES} ${Tiff_LIBRARIES} ${Png_LIBRARIES} ${Freetype_LIBRARY} ${Magick++_LIBRARIES})
-			set(targets ${targets} ss_extract)
+			if (Z_FOUND)
+				add_executable(ss_extract ss_extract.cpp pak.cpp ipu_conv.cpp ss_cover.cpp)
+				target_link_libraries(ss_extract ${LibXML++_LIBRARIES} ${Boost_LIBRARIES} ${Magick++_LIBRARIES} ${Z_LIBRARIES} ${Jpeg_LIBRARIES} ${Tiff_LIBRARIES} ${Png_LIBRARIES} ${Freetype_LIBRARY} ${Magick++_LIBRARIES})
+				set(targets ${targets} ss_extract)
+			else (Z_FOUND)
+				message("No zlib found, not building ss_extract")
+			endif (Z_FOUND)
 		else (Magick++_FOUND)
 			message("No Magick++ found, not building ss_extract")
 		endif (Magick++_FOUND)
@@ -48,16 +52,29 @@
 if (Boost_FOUND)
 	add_executable(ss_pak_extract pak_extract.cpp pak.cpp)
 	target_link_libraries(ss_pak_extract ${Boost_LIBRARIES})
+	set(targets ${targets} ss_pak_extract)
+
+	add_executable(ss_archive_extract archive_extract.cpp)
+	target_link_libraries(ss_archive_extract ${Boost_LIBRARIES})
+	set(targets ${targets} ss_archive_extract)
+
 	if (Z_FOUND)
 		add_executable(itg_pck itg_pck.cc)
 		target_link_libraries(itg_pck ${Boost_LIBRARIES} ${Z_LIBRARIES})
+		set(targets ${targets} itg_pck)
+
+		add_executable(ss_chc_decode ss_chc_decode.cpp)
+		target_link_libraries(ss_chc_decode ${Boost_LIBRARIES} ${Z_LIBRARIES})
+		set(targets ${targets} ss_chc_decode)
 	endif()
 endif (Boost_FOUND)
 
+add_subdirectory(gh_fsb)
+add_executable(gh_xen_decrypt gh_xen_decrypt.cpp)
 add_executable(ss_adpcm_decode adpcm_decode.cpp pak.cpp)
 add_executable(ss_ipu_decode ipu_decode.cpp)
 add_executable(ss_ipu_conv ipu_conv.cpp ipuconvmain.cpp pak.cpp)
-set(targets ${targets} ss_pak_extract ss_adpcm_decode ss_ipu_decode ss_ipu_conv itg_pck)
+set(targets ${targets} gh_xen_decrypt ss_adpcm_decode ss_ipu_decode ss_ipu_conv)
 
 # add install target:
 install(TARGETS ${targets} DESTINATION bin)
