=== debian/changelog ===
performous (0.6.1-5) unstable; urgency=low

  * Team upload.
  * Check for jpeglib.h which is actually included instead of jconfig.h.
    The latter is installed in multiarch location. Patch from Ilya Barygin.
    (Closes: #659740)
  * Add build-arch and build-indep targets.
  * Fix Vcs-Browser link.

 -- Felix Geyer <debfx-pkg@fobos.de>  Tue, 31 Jan 2012 15:26:47 +0100

performous (0.6.1-4) unstable; urgency=low

  * Team upload.
  * Add missing include for libav0.8. (Closes: #654221)
  * Use xz compression for binary packages.
  * Remove quilt references from debian/control and debian/rules.
    The package already uses the 3.0 (quilt) source format.
  * Bump Standards-Version to 3.9.2 (no changes).

 -- Ansgar Burchardt <ansgar@debian.org>  Sun, 15 Jan 2012 22:48:58 +0100

performous (0.6.1-3) unstable; urgency=low

  * Team upload.
  * Remove deprecated ffmpeg/libav API functions. This prevents a
    FTBFS when libav/0.7 is uploaded to unstable. Patch by Scott
    Kitterman (Closes: #637105)
  * Drop transition package ultrastar-ng now that Squeeze is released

 -- Moritz Muehlenhoff <jmm@debian.org>  Wed, 24 Aug 2011 22:33:21 +0200

performous (0.6.1-2) unstable; urgency=low

  * Team upload.

  [ Evgeni Golov ]
  * Set BOOST_FILESYSTEM_VERSION=2 to prevent FTBFS with boost >= 1.46
    Closes: #625109

  [ Bruno "Fuddl" Kleinert ]
  * Follow libmagick transition and build-depend on libmagick++-dev instead of
    libmagick++9-dev, now. (Closes: #625610)

 -- Bruno "Fuddl" Kleinert <fuddl@debian.org>  Thu, 09 Jun 2011 18:14:57 +0200

performous (0.6.1-1) unstable; urgency=low

  [ Miriam Ruiz ]
  * New upstream release
  * Using source package format "3.0 (quilt)"
  * Upgraded Standards-Version from 3.8.3 to 3.9.1
  * Added a recommend for vorbis-tools in performous-tools. Closes: #567807
  * Removed configure target as dependency from clean in debian/rules

 -- Miriam Ruiz <little_miry@yahoo.es>  Wed, 03 Nov 2010 22:57:47 +0100

performous (0.5.1-1) unstable; urgency=low

  * New upstream release.
    - mainly bugfix
    - adding some new instrument auto recognized
  * Updated package description in debian/control

 -- Miriam Ruiz <little_miry@yahoo.es>  Sat, 16 Jan 2010 16:00:15 +0100

performous (0.5.0-1) unstable; urgency=low

  * New upstream release

 -- Miriam Ruiz <little_miry@yahoo.es>  Wed, 13 Jan 2010 23:22:55 +0100

performous (0.4.0-1) unstable; urgency=low

  [ Miriam Ruiz ]
  * New upstream release. Closes: #558689
  * Updated package description
  * Upgraded Standards-Version from 3.8.2 to 3.8.3
  * Added to Build-Depends: pkg-config
  * Define in rules which plugins to compile.
    See: libs/libda/plugins/CMakeLists.txt
  * Fixed Vcs-Svn and Vcs-Browser in debian/control
  * Added very simple man page for performous tools

 -- Miriam Ruiz <little_miry@yahoo.es>  Wed, 02 Dec 2009 22:31:10 +0100

performous (0.3.2-1) unstable; urgency=low

  [ Miriam Ruiz ]
  * New upstream release

 -- Miriam Ruiz <little_miry@yahoo.es>  Tue, 28 Jul 2009 00:43:34 +0200

performous (0.3.1-1) unstable; urgency=low

  [ Miriam Ruiz ]
  * New upstream release
  * Added binary packages performous-tools and performous-tools-dbg
  * Updated patches
  * Upgraded Standards-Version to 3.8.2
  * New build dependency: libglew1.5-dev
  * It depends on cmake (>= 2.6) now

 -- Miriam Ruiz <little_miry@yahoo.es>  Sat, 11 Jul 2009 20:22:04 +0200

performous (0.3.0-3) unstable; urgency=low

  [ Barry deFreese ]
  * boost_fix.patch - Build with newer boost. (Closes: #530473).
  * gcc_44.patch - Build with gcc-4.4. (Closes: #510848).
    + Thanks to Martin Michlmayr for the patch.
  * Add Section: debug to -dbg package.
  * Fix some symantic errors in package description. (Closes: #517620).
  * Bump Standards Version to 3.8.1.

 -- Miriam Ruiz <little_miry@yahoo.es>  Thu, 28 May 2009 22:38:15 +0200

performous (0.3.0-2) unstable; urgency=low

  [ Ansgar Burchardt ]
  * debian/copyright: Fix typo.

  [ Miriam Ruiz ]
  * Uploaded to sid
  * Do not depend on the dependencies of the plugins
  * Recommend the dependencies of the ALSA plugin

 -- Miriam Ruiz <little_miry@yahoo.es>  Tue, 23 Dec 2008 22:19:45 +0100

performous (0.3.0-1) experimental; urgency=low

  * UltraStar NG is now called Performous. Package renamed to performous.
  * New homepage: http://performous.org/
  * New building system: cmake
  * Updated build dependencies
  * Removed ultrastar-ng-xine and ultrastar-ng-gstreamer packages
  * Added package performous-dbg with the debugging symbols

 -- Miriam Ruiz <little_miry@yahoo.es>  Tue, 11 Nov 2008 21:11:40 +0100

ultrastar-ng (0.2.1-1) unstable; urgency=low

  [ Miriam Ruiz ]
  * New Upstream Release (Closes: #453132)
  * Removed unneeded patches
  * Added packages to build deps:
    + libtool
    + portaudio19-dev | portaudio-dev
    + libboost-dev, libboost-thread-dev, libboost-serialization-dev
    + libboost-program-options-dev, libboost-regex-dev
  * Moved shared objects to private directory: /usr/lib/ultraster-ng
  * Added rpath to binaries to search for shared objects in the private dir
  * Uses ultrastar-ng-gstreamer as default, instead of ultrastar-ng-xine,
    since there are significantly less issues with GStreamer.
  * Added patch to fix upstream desktop file
  * Added -Wl,-as-needed to LDFLAGS
  * Replaced fftw3-dev by libfftw3-dev in build dependencies.
  * Standards-Version upgraded to 3.7.3

  [ Mario Bonino ]
  * Fixed data/Makefile.am to install .desktop file and icon

  [ Jon Dowland ]
  * add Homepage: control field to source stanza
  * fix a bashism in debian/rules (Closes: #478634)

  [ Ansgar Burchardt ]
  * debian/control: Change XS-Vcs-* to Vcs-*
  * Remove Homepage semi-field from description

 -- Miriam Ruiz <little_miry@yahoo.es>  Sat, 07 Jun 2008 16:43:18 +0200

ultrastar-ng (0.1.4-2) unstable; urgency=low

  [ Miriam Ruiz ]
  * Added patch to support previewing ogg files with xine (Closes: #430531)

